Subject: Re: bug#14595: Erroneous composition of lambda in emacs-lisp buffers with prog-prettify-symbols enabled

From: Ted Zlatanov <[email-masked]>
Date: Sat, 15 Jun 2013 20:17:20 -0400

On Sat, 15 Jun 2013 12:00:04 +0300 Eli Zaretskii <[email-masked]> wrote: 

>> From: Ted Zlatanov <[email-masked]>
>> Date: Sat, 15 Jun 2013 04:21:44 -0400
>> 
>> On Wed, 12 Jun 2013 05:18:59 +0200 Juanma Barranquero <[email-masked]> wrote: 
>> 
JB> If I visit lambda.el as in the example above, and scroll down the
JB> buffer, I get 26 such failures, always at the same lines (168, 280,
JB> 364, 432, 489, 538, 581, 619, 654, 686, 715, 742, 767, 791, 813, 834,
JB> 854, 873, 891, 908, 924, 940, 955, 970, 984 and 998); however, if upon
JB> visiting the file I go to the end of the buffer and scroll up, I get
JB> many more failures (about 60) at diferent lines, but also consistently
JB> the same lines.
>> 
>> Ouch.  I don't think I'm doing anything strange in the fontification
>> keywords that implement the new prettification functionality, but why
>> wasn't this seen before?  The scroll behavior probably indicates a
>> display engine issue.

EZ> What issue would that be?

EZ> The problem here is that the composition rule is generated
EZ> incorrectly.

I understand that part and Juanma posted a patch that looks helpful.

The scroll behavior he described is strangely inconsistent.  If you
think it's OK to display inconsistent data with bad input data (which
IIUC is what's happening), then there's no issue.  I don't know if it's
OK to display inconsistent lines like that, so I leave it to you and Juanma.

Ted